# Barry::Mode::DBLoader Class Reference

`#include <m_desktop.h>`

Collaboration diagram for Barry::Mode::DBLoader:

[legend]

List of all members.

## Detailed Description

Database Loader operation class.

Encapsulates the load / save logic of Desktop::LoadDatabase() and someday Desktop::SaveDatabase() in such a way that the loading of individual records is controllable by the user, instead of using the parser callback mechanism.

This class can be reused to load / save multiple databases, but do not call Desktop members while a load operation is in progress.

Definition at line 142 of file m_desktop.h.

## Public Member Functions

bool | IsBusy () const
| Do not call Desktop members if this is true.

## Member Function Documentation

bool Barry::Mode::DBLoader::IsBusy | ( |  | ) | const`[inline]`

Do not call Desktop members if this is true.

Definition at line 155 of file m_desktop.h.

Referenced by Barry::DeviceBuilder::FetchRecord().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- m_desktop.h
- m_desktop.cc